# TdApi.PaymentForm (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PaymentForm

Package it.tdlight.jni

# Class TdApi.PaymentForm

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentForm

Enclosing class:
  TdApi

    public static class TdApi.PaymentForm
    extends TdApi.Object

Contains information about an invoice payment form.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `canSaveCredentials` | True, if the user can choose to save credentials.
`static int` | `CONSTRUCTOR` |
`long` | `id` | The payment form identifier.
`TdApi.Invoice` | `invoice` | Full information of the invoice.
`boolean` | `needPassword` | True, if the user will be able to save credentials protected by a password they set up.
`TdApi.PaymentsProviderStripe` | `paymentsProvider` | Contains information about the payment provider, if available, to support it natively without the need for opening the URL; may be null.
`long` | `paymentsProviderUserId` | User identifier of the payment provider bot.
`TdApi.SavedCredentials` | `savedCredentials` | Contains information about saved card credentials; may be null.
`TdApi.OrderInfo` | `savedOrderInfo` | Saved server-side order information; may be null.
`long` | `sellerBotUserId` | User identifier of the seller bot.
`String` | `url` | Payment form URL.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PaymentForm()` | Contains information about an invoice payment form.
`PaymentForm​(long id, TdApi.Invoice invoice, String url, long sellerBotUserId, long paymentsProviderUserId, TdApi.PaymentsProviderStripe paymentsProvider, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials savedCredentials, boolean canSaveCredentials, boolean needPassword)` | Contains information about an invoice payment form.
`PaymentForm​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
The payment form identifier.

### invoice

public TdApi.Invoice invoice
Full information of the invoice.

### url

public String url
Payment form URL.

### sellerBotUserId

public long sellerBotUserId
User identifier of the seller bot.

### paymentsProviderUserId

public long paymentsProviderUserId
User identifier of the payment provider bot.

### paymentsProvider

public TdApi.PaymentsProviderStripe paymentsProvider
Contains information about the payment provider, if available, to support it natively without the need for opening the URL; may be null.

### savedOrderInfo

public TdApi.OrderInfo savedOrderInfo
Saved server-side order information; may be null.

### savedCredentials

public TdApi.SavedCredentials savedCredentials
Contains information about saved card credentials; may be null.

### canSaveCredentials

public boolean canSaveCredentials
True, if the user can choose to save credentials.

### needPassword

public boolean needPassword
True, if the user will be able to save credentials protected by a password they set up.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PaymentForm

public PaymentForm()
Contains information about an invoice payment form.

### PaymentForm

public PaymentForm​(long id, TdApi.Invoice invoice, String url, long sellerBotUserId, long paymentsProviderUserId, TdApi.PaymentsProviderStripe paymentsProvider, TdApi.OrderInfo savedOrderInfo, TdApi.SavedCredentials savedCredentials, boolean canSaveCredentials, boolean needPassword)
Contains information about an invoice payment form.

Parameters:
  `id` - long The payment form identifier.
  `invoice` - Invoice Full information of the invoice.
  `url` - String Payment form URL.
  `sellerBotUserId` - long User identifier of the seller bot.
  `paymentsProviderUserId` - long User identifier of the payment provider bot.
  `paymentsProvider` - PaymentsProviderStripe Contains information about the payment provider, if available, to support it natively without the need for opening the URL; may be null.
  `savedOrderInfo` - OrderInfo Saved server-side order information; may be null.
  `savedCredentials` - SavedCredentials Contains information about saved card credentials; may be null.
  `canSaveCredentials` - boolean True, if the user can choose to save credentials.
  `needPassword` - boolean True, if the user will be able to save credentials protected by a password they set up.

### PaymentForm

public PaymentForm​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`